### Class

# Gtk BookmarkList

since: 4.0

#### Description [src]

    final class Gtk.BookmarkList : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

`GtkBookmarkList` is a list model that wraps `GBookmarkFile`.

It presents a `GListModel` and fills it asynchronously with the `GFileInfo`s returned from that function.

The `GFileInfo`s in the list have some attributes in the recent namespace added: `recent::private` (boolean) and `recent:applications` (stringv).

Available since: 4.0

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_bookmark_list_new

Creates a new `GtkBookmarkList` with the given `attributes`.

since: 4.0

#### Instance methods

###### gtk_bookmark_list_get_attributes

Gets the attributes queried on the children.

since: 4.0

###### gtk_bookmark_list_get_filename

Returns the filename of the bookmark file that this list is loading.

since: 4.0

###### gtk_bookmark_list_get_io_priority

Gets the IO priority to use while loading file.

since: 4.0

###### gtk_bookmark_list_is_loading

Returns `TRUE` if the files are currently being loaded.

since: 4.0

###### gtk_bookmark_list_set_attributes

Sets the `attributes` to be enumerated and starts the enumeration.

since: 4.0

###### gtk_bookmark_list_set_io_priority

Sets the IO priority to use while loading files.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

since: 2.44

###### g_list_model_get_object

Get the item at `position`.

since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

since: 2.44

#### Properties

###### Gtk.BookmarkList:attributes

The attributes to query.

since: 4.0

###### Gtk.BookmarkList:filename

The bookmark file to load.

since: 4.0

###### Gtk.BookmarkList:io-priority

Priority used when loading.

since: 4.0

###### Gtk.BookmarkList:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.BookmarkList:loading

`TRUE` if files are being loaded.

since: 4.0

###### Gtk.BookmarkList:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

since: 2.44

#### Class structure

    struct GtkBookmarkListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.